Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.rewrite
Class RegexRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.RegexRule

Direct Known Subclasses:
  RewriteRegexRule

    public abstract class RegexRule

extends Rule

Abstract rule to use as a base class for rules that match with a regular expression.

Field Summary
`protected Pattern` | `_regex`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`RegexRule()`

Method Summary
`protected abstract String` | `apply(String target, HttpServletRequest request, HttpServletResponse response, Matcher matcher)` Apply this rule to the request/response pair.
`String` | `getRegex()`
`String` | `matchAndApply(String target, HttpServletRequest request, HttpServletResponse response)` This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.
`void` | `setRegex(String regex)` Sets the regular expression string used to match with string URI.
`String` | `toString()` Returns the regular expression string.

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _regex

    protected Pattern _regex

Constructor Detail

### RegexRule

    public RegexRule()

Method Detail

### setRegex

    public void setRegex(String regex)

  Sets the regular expression string used to match with string URI.

  Parameters:
    `regex` - the regular expression.

### getRegex

    public String getRegex()

  Returns:
    get the regular expression

### matchAndApply

    public String matchAndApply(String target,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws IOException

  Description copied from class: `Rule`
  This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.

  Specified by:
    `matchAndApply` in class `Rule`
  Parameters:
    `target` - The target of the request
  Returns:
    The new target if the rule has matched, else null
  Throws:
    `IOException` - TODO

### apply

    protected abstract String apply(String target,
                                    HttpServletRequest request,
                                    HttpServletResponse response,
                                    Matcher matcher)
                             throws IOException

  Apply this rule to the request/response pair. Called by `matchAndApply(String, HttpServletRequest, HttpServletResponse)` if the regex matches.

  Parameters:
    `target` - field to attempt match
    `request` - request object
    `response` - response object
    `matcher` - The Regex matcher that matched the request (with capture groups available for replacement).
  Returns:
    The target (possible updated).
  Throws:
    `IOException` - exceptions dealing with operating on request or response objects

### toString

    public String toString()

  Returns the regular expression string.

  Overrides:
    `toString` in class `Rule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.